
package com.tmerclub.cloud.api.multishop.bo;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2021/3/9
 */
public class OrderChangeShopWalletAmountBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单项id
     */
    private Long orderItemId;

    /**
     * 退款单id
     */
    private Long refundId;

    /**
     * 钱包分片序号
     */
    private Integer zoneNo;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 订单 or 订单项 实际支付金额
     */
    private Long actualTotal;

    /**
     * 申请退款金额
     */
    private Long refundAmount;

    /**
     * 平台补贴金额
     */
    private Long platformAllowanceAmount;

    /**
     * 平台运费减免金额
     */
    private Long platformFreeFreightAmount;

    /**
     * 店铺补贴金额
     */
    private Long shopAllowanceAmount;

    /**
     * 平台抽成
     */
    private Long platformCommission;

    /**
     * 平台抽成变化金额
     */
    private Long changePlatformCommission;

    /**
     * 采购金额变化金额
     */
    private Long refundPurchaseAmount;

    /**
     * 采购金额变化金额
     */
    private Long changePurchaseAmount;

    /**
     * 平台抽成比例
     */
    private Double rate;

    /**
     * 分销金额
     */
    private Long distributionAmount;

    /**
     * 平台供应商佣金变化金额
     */
    private Long changePurchasePlatformCommission;

    /**
     * 平台供应商佣金变化金额
     */
    private Long refundPurchasePlatformCommission;

    /**
     * 供应商处理状态， -1.商家自行处理 0.待供应商处理 1.供应商已同意 2.供应商已拒绝
     */
    private Integer supplierHandleStatus;

    /**
     * 订单运费
     */
    private Long freightAmount;


    /**
     * 供应商订单运费
     */
    private Long supplierFreightAmount;

    /**
     * 钱包id列表
     */
    private List<Long> walletLogIds;

    /**
     * 是否待采购 1.是 0.否 2.采购完成
     * 枚举类 com.tmerclub.cloud.api.order.constant.PurchaseOrderWaitStatus
     */
    private Integer waitPurchase;

    /**
     * 最后一单
     */
    private Boolean lastOrder;
    /**
     * 支付系统类型
     * @see com.tmerclub.cloud.api.payment.constant.PaySysType
     */
    private Integer paySysType;
    /**
     * 平台介入退款方式 1.商家承担 2.商家供应商承担（供应商发货订单） 3.不同意退款
     */
    private Integer interventionRefundType;

    public Integer getInterventionRefundType() {
        return interventionRefundType;
    }

    public void setInterventionRefundType(Integer interventionRefundType) {
        this.interventionRefundType = interventionRefundType;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    public Long getRefundPurchasePlatformCommission() {
        return refundPurchasePlatformCommission;
    }

    public void setRefundPurchasePlatformCommission(Long refundPurchasePlatformCommission) {
        this.refundPurchasePlatformCommission = refundPurchasePlatformCommission;
    }

    public Long getRefundPurchaseAmount() {
        return refundPurchaseAmount;
    }

    public void setRefundPurchaseAmount(Long refundPurchaseAmount) {
        this.refundPurchaseAmount = refundPurchaseAmount;
    }

    public Integer getWaitPurchase() {
        return waitPurchase;
    }

    public void setWaitPurchase(Integer waitPurchase) {
        this.waitPurchase = waitPurchase;
    }

    public Long getFreightAmount() {
        return freightAmount;
    }

    public void setFreightAmount(Long freightAmount) {
        this.freightAmount = freightAmount;
    }

    public Integer getSupplierHandleStatus() {
        return supplierHandleStatus;
    }

    public void setSupplierHandleStatus(Integer supplierHandleStatus) {
        this.supplierHandleStatus = supplierHandleStatus;
    }

    public Long getChangePurchasePlatformCommission() {
        return changePurchasePlatformCommission;
    }

    public void setChangePurchasePlatformCommission(Long changePurchasePlatformCommission) {
        this.changePurchasePlatformCommission = changePurchasePlatformCommission;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getChangePurchaseAmount() {
        return changePurchaseAmount;
    }

    public void setChangePurchaseAmount(Long changePurchaseAmount) {
        this.changePurchaseAmount = changePurchaseAmount;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public Integer getZoneNo() {
        return zoneNo;
    }

    public void setZoneNo(Integer zoneNo) {
        this.zoneNo = zoneNo;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getActualTotal() {
        return actualTotal;
    }

    public void setActualTotal(Long actualTotal) {
        this.actualTotal = actualTotal;
    }

    public Long getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Long refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Long getPlatformAllowanceAmount() {
        return platformAllowanceAmount;
    }

    public void setPlatformAllowanceAmount(Long platformAllowanceAmount) {
        this.platformAllowanceAmount = platformAllowanceAmount;
    }

    public Long getPlatformFreeFreightAmount() {
        return platformFreeFreightAmount;
    }

    public void setPlatformFreeFreightAmount(Long platformFreeFreightAmount) {
        this.platformFreeFreightAmount = platformFreeFreightAmount;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Long getPlatformCommission() {
        return platformCommission;
    }

    public void setPlatformCommission(Long platformCommission) {
        this.platformCommission = platformCommission;
    }

    public Long getChangePlatformCommission() {
        return changePlatformCommission;
    }

    public void setChangePlatformCommission(Long changePlatformCommission) {
        this.changePlatformCommission = changePlatformCommission;
    }

    public Double getRate() {
        return rate;
    }

    public void setRate(Double rate) {
        this.rate = rate;
    }

    public Long getDistributionAmount() {
        return distributionAmount;
    }

    public void setDistributionAmount(Long distributionAmount) {
        this.distributionAmount = distributionAmount;
    }

    public Long getShopAllowanceAmount() {
        return shopAllowanceAmount;
    }

    public void setShopAllowanceAmount(Long shopAllowanceAmount) {
        this.shopAllowanceAmount = shopAllowanceAmount;
    }

    public Long getSupplierFreightAmount() {
        return supplierFreightAmount;
    }

    public void setSupplierFreightAmount(Long supplierFreightAmount) {
        this.supplierFreightAmount = supplierFreightAmount;
    }

    public List<Long> getWalletLogIds() {
        return walletLogIds;
    }

    public void setWalletLogIds(List<Long> walletLogIds) {
        this.walletLogIds = walletLogIds;
    }

    public Boolean isLastOrder() {
        return lastOrder;
    }

    public void setLastOrder(Boolean lastOrder) {
        this.lastOrder = lastOrder;
    }

    @Override
    public String toString() {
        return "OrderChangeShopWalletAmountBO{" +
                "orderStatus=" + orderStatus +
                ", orderId=" + orderId +
                ", orderItemId=" + orderItemId +
                ", refundId=" + refundId +
                ", zoneNo=" + zoneNo +
                ", shopId=" + shopId +
                ", supplierId=" + supplierId +
                ", actualTotal=" + actualTotal +
                ", refundAmount=" + refundAmount +
                ", platformAllowanceAmount=" + platformAllowanceAmount +
                ", platformFreeFreightAmount=" + platformFreeFreightAmount +
                ", shopAllowanceAmount=" + shopAllowanceAmount +
                ", platformCommission=" + platformCommission +
                ", changePlatformCommission=" + changePlatformCommission +
                ", refundPurchaseAmount=" + refundPurchaseAmount +
                ", changePurchaseAmount=" + changePurchaseAmount +
                ", rate=" + rate +
                ", distributionAmount=" + distributionAmount +
                ", changePurchasePlatformCommission=" + changePurchasePlatformCommission +
                ", refundPurchasePlatformCommission=" + refundPurchasePlatformCommission +
                ", supplierHandleStatus=" + supplierHandleStatus +
                ", freightAmount=" + freightAmount +
                ", supplierFreightAmount=" + supplierFreightAmount +
                ", walletLogIds=" + walletLogIds +
                ", waitPurchase=" + waitPurchase +
                ", lastOrder=" + lastOrder +
                ", paySysType=" + paySysType +
                ", interventionRefundType=" + interventionRefundType +
                '}';
    }
}
